diff test.bash @ 13:2752e512fd32 stable-2-1

finish documentation
author carl
date Sun, 25 Apr 2004 11:36:08 -0700
parents 8c65411cd7ab
children 443aa0e8c6fa
line wrap: on
line diff
--- a/test.bash	Fri Apr 23 22:45:10 2004 -0700
+++ b/test.bash	Sun Apr 25 11:36:08 2004 -0700
@@ -1,5 +1,25 @@
 #!/bin/bash
 
+###########################
+# compile and run the test program
+#
+g++ -c test.cpp
+if [ $? -ne 0 ]; then
+    echo "compiler errors"
+    exit
+fi
+g++ -o test test.o -pthread
+if [ $? -ne 0 ]; then
+    echo "linker errors"
+    exit
+fi
+
+./test
+exit
+
+###########################
+# compile the milter
+#
 g++ -c dnsbl.cpp
 if [ $? -ne 0 ]; then
     echo "compiler errors"